package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.order_estimation.Entity.Productss;
import com.realnet.order_estimation.Services.ProductssService ;


@RequestMapping(value = "/Productss")
 @CrossOrigin("*") 
@RestController
public class ProductssController {
	@Autowired
	private ProductssService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Productss")
		  public Productss Savedata(@RequestBody Productss data) {
		Productss save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Productss/{id}")
	public  Productss update(@RequestBody Productss data,@PathVariable Integer id ) {
		Productss update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Productss/getall/page")
	public Page<Productss> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Productss> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Productss")
	public List<Productss> getdetails() {
		 List<Productss> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Productss")
	public List<Productss> getallwioutsec() {
		 List<Productss> get = Service.getdetails();		
		return get;
}
@GetMapping("/Productss/{id}")
	public  Productss  getdetailsbyId(@PathVariable Integer id ) {
		Productss  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Productss/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}